<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimer5: Deprecated List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">kmTimer5
   </div>
   <div id="projectbrief">kmTimer5 library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('deprecated.html','');});
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="PageDoc"><div class="header">
  <div class="headertitle">
<div class="title">Deprecated List </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><dl class="reflist">
<dt>Global <a class="el" href="km_timer5_8h.html#a825a0fdcc96b4cfb4389e6cde1af3a5d">kmTimer5InitOnPrescalerBottomToTopFastPwmOCA</a>  (const uint8_t prescaler, const uint16_t dutyA, const bool invertedA)</dt>
<dd><a class="anchor" id="_deprecated000001"></a>Can be used with older models of AVR MCUs like ATmega8, ATmega32, etc.<br />
Initializes Timer 5 to generate square wave on the OC5B pin of the MCU with specified duty cycle and frequency defined by prescaler only (Fast PWM mode) To change the duty cycle after initialization #kmTimer5SetPwmDuty function can be used (<a class="el" href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165aa6cad1853b2691e148b7959c9fd989672" title="PWM on output A.">KM_TCC5_PWM_OUT_A</a> can only be used) OVF and CompA callback functions can be used with this mode to capture desired moments within Timer 5 periods<br />
 </dd>
<dt>Global <a class="el" href="km_timer5_8h.html#a622a2c63135ecfae04724f8935b53d58">kmTimer5InitOnPrescalerBottomToTopPcPwmOCA</a>  (const uint8_t prescaler, const uint16_t dutyA, const bool invertedA)</dt>
<dd><a class="anchor" id="_deprecated000002"></a>Can be used with older models of AVR MCUs like ATmega8, ATmega32, etc.<br />
InitializesTimer 5 to generate square wave on the OC5B pin of the MCU with specified duty cycle and frequency defined by prescaler only (Phase Accurate mode) To change the duty cycle after initialization #kmTimer5SetPwmDuty function can be used (<a class="el" href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165aa6cad1853b2691e148b7959c9fd989672" title="PWM on output A.">KM_TCC5_PWM_OUT_A</a> can only be used) OVF and CompA callback functions can be used with this mode to capture desired moments within Timer 5 periods<br />
</dd>
</dl>
</div></div><!-- PageDoc -->
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.15 </li>
  </ul>
</div>
</body>
</html>
